/*[MS-PST]  v20100218
Outlook Personal Folders File Format (.pst) Structure Specification
Copyright  2010 Microsoft Corporation.
Release: Thursday, February 18, 2010
*/

#ifndef _CRC_H_
#define _CRC_H_

#include <windows.h>

extern const DWORD CrcTableOffset32[256];
extern const DWORD CrcTableOffset40[256];
extern const DWORD CrcTableOffset48[256];
extern const DWORD CrcTableOffset56[256];
extern const DWORD CrcTableOffset64[256];
extern const DWORD CrcTableOffset72[256];
extern const DWORD CrcTableOffset80[256];
extern const DWORD CrcTableOffset88[256];
extern byte mpbbCrypt[];

DWORD ComputeCRC(DWORD dwCRC, LPCVOID pv, UINT cbLength);
unsigned short ComputeSig (unsigned int ib, unsigned int bid);
void CryptPermute(PVOID pv, int cb, BOOL fEncrypt);

#endif